SSD {stats} | R Documentation

## SSD Matrix and Estimated Variance Matrix in Multivariate Models

### Description

Functions to compute matrix of residual sums of squares and products, or the estimated variance matrix for multivariate linear models.

### Usage

    # S3 method for class 'mlm'
    SSD(object, ...)

    # S3 methods for class 'SSD' and 'mlm'
    estVar(object, ...)

### Arguments

`object` | `object` of class `"mlm"`, or `"SSD"` in the case of `estVar`.
`...` | Unused

### Value

`SSD()` returns a list of class `"SSD"` containing the following components

`SSD` | The residual sums of squares and products matrix
`df` | Degrees of freedom
`call` | Copied from `object`

`estVar` returns a matrix with the estimated variances and covariances.

### See Also

`mauchly.test`, `anova.mlm`

### Examples

    # Lifted from Baron+Li:
    # "Notes on the use of R for psychology experiments and questionnaires"
    # Maxwell and Delaney, p. 497
    reacttime <- matrix(c(
    420, 420, 480, 480, 600, 780,
    420, 480, 480, 360, 480, 600,
    480, 480, 540, 660, 780, 780,
    420, 540, 540, 480, 780, 900,
    540, 660, 540, 480, 660, 720,
    360, 420, 360, 360, 480, 540,
    480, 480, 600, 540, 720, 840,
    480, 600, 660, 540, 720, 900,
    540, 600, 540, 480, 720, 780,
    480, 420, 540, 540, 660, 780),
    ncol = 6, byrow = TRUE,
    dimnames = list(subj = 1:10,
                  cond = c("deg0NA", "deg4NA", "deg8NA",
                           "deg0NP", "deg4NP", "deg8NP")))

    mlmfit <- lm(reacttime ~ 1)
    SSD(mlmfit)
    estVar(mlmfit)

[Package stats version 3.6.0 Index]